<div class="container" [attr.data-version]="appVersion">
  <div class="row my-3">
    <div class="col-9">
      <h2 id="liste"><span class="bd-content-title">{{ 'analytics.title' | translate }}</span></h2>
      <p>{{ 'analytics.subtitle' | translate }}</p>
    </div>
    <div class="col-3">
    </div>
  </div>
  <div class="row">
    <div class="card-wrapper card-space w-100">
      <div class="card card-bg w-100">
        <div class="card-header">
          <div class="row row-sm">
            <div class="col-12 col-md-12 col-lg-6">
              <div>
                <label class="h-50">{{ 'select.label_service' | translate }}</label>
                <angular2-multiselect-custom
                        [data]="itemList"
                        [(ngModel)]="selectedItems"
                        [settings]="settings"
                        (onSelect)="onItemSelect()"
                        (onDeSelect)="onItemSelect()"
                        (onSelectAll)="onItemSelect()"
                        (onDeSelectAll)="onItemSelect()"
                        (onGroupSelect)="onItemSelect()"
                        (onGroupDeSelect)="onItemSelect()"
                        (onFilterDeSelectAll)="onItemSelect()"
                        (onFilterSelectAll)="onItemSelect()"
                >
                </angular2-multiselect-custom>
              </div><!-- select -->
            </div>
            <div class="col-12 col-md-12 col-lg-6">
              <div class="">
                <label class="h-50">{{'select.label_period' | translate }}</label>
                <angular2-multiselect-custom
                        [data]="itemListInterval"
                        [(ngModel)]="selectedIntervalItems"
                        [settings]="settingsInterval"
                        (onSelect)="OnSelectInterval($event)"
                >
                </angular2-multiselect-custom>
              </div><!-- select -->
            </div>
          </div><!-- row -->
        </div>
        <div class="card-body">
          <div class="row row-sm">
            <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column justify-content-center">
              <loader *ngIf="loading" class="position-relative"></loader>
              <div *ngIf="bookings && !loading">
              <label class="span-label">Prenotazioni</label>
              <h2>{{bookings.no_of_bookings || bookings.no_of_reservations || 0}}</h2>
              <div class="desc up">
                <p>
                  <span class="span-label">{{'common.previous_period_var' | translate }}</span>
                  <span>
                  <strong>{{ bookings.no_of_bookings_previous_period_var | number : '1.0-2':'it-IT' | relativeNumber}}</strong>
                </span>
                </p>
                <p>
                  <span class="span-label">{{'common.avg_var' | translate }}</span>
                  <span>
                  <strong>{{bookings.no_of_bookings_avg_var | number : '1.0-2':'it-IT' | relativeNumber}}</strong>
                </span>
                </p>
              </div>
              </div>
            </div><!-- col -->
            <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column justify-content-center">
              <loader *ngIf="loading" class="position-relative"></loader>
              <div *ngIf="availability && !loading">
              <label class="span-label">1° disponibilità</label>
              <h2>
                <span *ngIf="availability.first_availability?.length || availability.first_availability == null">n.d</span>
                <span *ngIf="!availability.first_availability?.length && availability.first_availability != null && availability.first_availability <= 0.9 "> < 1gg</span>
                <span *ngIf="!availability.first_availability?.length && availability.first_availability != null && availability.first_availability > 0 ">{{availability.first_availability | number : '1.0-2':'it-IT'}} gg</span>
              </h2>
              <div class="desc up">
                <p><span class="span-label">{{'common.previous_period_var' | translate }}</span> <span>
                <strong>{{availability.first_availability_previous_period_var | number : '1.0-2':'it-IT' | relativeNumber}}</strong></span></p>
                <p><span class="span-label">{{'common.avg_var' | translate }}</span><span><strong>
                {{availability.first_availability_avg_var | number : '1.0-2':'it-IT' | relativeNumber}}
              </strong></span></p>
              </div>
              </div>
            </div><!-- col -->
            <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column justify-content-center">
              <loader *ngIf="loading" class="position-relative"></loader>
              <div *ngIf="availability && !loading">
              <label class="span-label color-a">Capacità</label>
              <h2 class="color-a"><span class="color-a">ore</span>1280</h2>
              <div class="desc up color-a">
                <p><span class="span-label color-a">{{'common.previous_period_var' | translate }}</span> <span>
                <strong class="color-a">5%</strong></span></p>
                <p><span class="color-a span-label">{{'common.avg_var' | translate }}</span><span><strong class="color-a">
                5%
              </strong></span></p>
              </div>
              </div>
            </div><!-- col -->
            <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column justify-content-center color-a">
              <loader *ngIf="loading" class="position-relative"></loader>
              <div *ngIf="availability && !loading">
              <label class="span-label color-a">Saturazione</label>
              <h2 class="color-a"><span></span>50%</h2>
              <div class="desc up">
                <p><span class="span-label color-a">{{'common.previous_period_var' | translate }}</span> <span>
                <strong class="color-a">5%</strong></span></p>
                <p><span class="color-a span-label">{{'common.avg_var' | translate }}</span><span><strong class="color-a">
                5%
              </strong></span></p>
              </div>
              </div>
            </div><!-- col -->
          </div><!-- row -->
        </div>
      </div>
    </div>
  </div>
  <div class="row my-3">
    <div class="col-12">
      <div class="alert alert-info" role="alert">
        I grafici ed i testi in grigio chiaro sono dati statici solo a scopo "<b>illustrativo</b>".
      </div>
    </div>
    <div class="col-6">
        <div style="display: block">
        <canvas baseChart
                [data]="pieChartData"
                [type]="pieChartType"
                [options]="pieChartOptions"
                [plugins]="pieChartPlugins">
        </canvas>
      </div>
    </div>
    <div class="col-6">
        <div style="display: block">
          <canvas baseChart
                  [data]="barChartData"
                  [options]="barChartOptions"
                  [plugins]="barChartPlugins"
                  [type]="barChartType"
                  (chartHover)="chartHovered($event)"
                  (chartClick)="chartClicked($event)">
          </canvas>
        </div>
    </div>
  </div>
</div>

